Skip to main content

GET /alerts/stats/aggregated/{user_alert_id}/{rule_type}

GET 

alerts/stats/aggregated/:user_alert_id/:rule_type

Retrieve aggregated alert trigger statistics for a specific user_alert_id and rule_type

Path Parameters

user_alert_id string Required

rule_type string Required

Query Parameters

period_from string Required
example 2021-07-06T00:00:00.000Z

period_to string Required
example 2021-07-06T00:00:00.000Z

profile_id string
Filter by profile ID

ip string
Filter by IP substring

domain string
Filter by domain substring

Returns

  • dataarray
    • countnumber
      Number of times this specific condition triggered the alert
    • ipstring
      IP address that triggered the alert (for IP-related rules)
    • domainstring
      Domain that triggered the alert (for domain-related rules)
    • rblstring
      RBL (Real-time Blackhole List) name where IP/domain was found
    • gp_domain_reputationstring
      Google Postmaster domain reputation category that triggered the alert
    • gp_ip_reputationstring
      Google Postmaster IP reputation category that triggered the alert
    • gp_delivery_error_classstring
      Google Postmaster delivery error class
    • gp_delivery_error_typestring
      Google Postmaster delivery error type
    • snds_filter_resultstring
      Microsoft SNDS filter result (GREEN, YELLOW, RED) that triggered the alert
    • lookalikestring
      Lookalike domain that triggered the alert
    • time_rangestring
      Time range for aggregated statistics
      Allowed values: ONE_DAY, ONE_WEEK, ONE_MONTH
    • traps_ipstring
      IP address that hit spam traps
    • traps_domain_fromstring
      Domain that sent emails to spam traps
    • honeytoken_domain_count_per_periodnumber
      Number of emails received by the honeytoken domain in the time range
Error Codes

400 Bad Request

Bad Request

401 Unauthorized

Unauthorized

403 Forbidden

Forbidden

500 Internal Server Error

Internal server error